
Redmine - Defect #42013

Redmine fails to start with error: Unknown database adapter `"mysql2"` found in config/database.yml

2024-12-18 16:01 - Daniel Drexlmaier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.1.6   

Resolution: Fixed Affected version: 5.1.5

Description

I use Docker. I testet this with "redmine" and "redmine:5". Testet with 6.0.2 and an 5.1.5.

With 5.1.4 it works

Unknown database adapter `"mysql2"` found in config/database.yml, use Gemfile.local to load your 

own database gems

pm1.de1.dbe.academy  | Your Gemfile lists the gem puma (>= 0) more than once.

pm1.de1.dbe.academy  | You should probably keep only one of them.

pm1.de1.dbe.academy  | Remove any duplicate entries and specify the gem only once.

pm1.de1.dbe.academy  | While it'

s not a problem now, it could cause errors if you change the version of one of them later.

pm1.de1.dbe.academy  | The Gemfile's dependencies are satisfied

pm1.de1.dbe.academy  | Unknown database adapter `"mysql2"` found in config/database.yml, use 

Gemfile.local to load your own database gems

pm1.de1.dbe.academy  | rake aborted!

pm1.de1.dbe.academy  | LoadError: Error loading the 'mysql2' Active Record adapter. Missing a gem 

it depends on? mysql2 is not part of the bundle. Add it to your Gemfile. (LoadError)

Related issues:

Related to Redmine - Defect #41749: Warning during startup: "Unresolved or am... Closed

Related to Redmine - Defect #42245: 5.1-stable: Redmine fails to start with e... Closed

Associated revisions

Revision 23408 - 2024-12-19 02:08 - Go MAEDA

Fix: Allow database adapter name "mysql2" in config/database.yml to be quoted (#42013).

In Redmine 6.0.2 and 5.1.5, due to the change introduced in r23269, using the quoted adapter name `"mysql2"` causes Redmine to fail to start with

the error: "Unknown database adapter `"mysql2"` found in config/database.yml".

Revision 23409 - 2024-12-19 02:16 - Go MAEDA

Merged r23408 from trunk to 6.0-stable (#42013).

Revision 23410 - 2024-12-19 02:18 - Go MAEDA

Merged r23408 from trunk to 5.1-stable (#42013).

Revision 23518 - 2025-03-02 08:25 - Go MAEDA

Merged r23408 from trunk to 5.1-stable (#42245, #42013).

History

#1 - 2024-12-18 16:05 - Daniel Drexlmaier

-> https://github.com/docker-library/redmine/issues/353

#2 - 2024-12-18 16:05 - Daniel Drexlmaier

-> https://www.redmine.org/issues/41749#note-14

#3 - 2024-12-18 16:14 - Anton Derevyagin
https://github.com/docker-library/redmine/issues/353
https://www.redmine.org/issues/41749#note-14


Same here, workaround helped.

Daniel, thank you for the issue and links!

#4 - 2024-12-19 00:52 - Go MAEDA

- Category changed from Database to Gems support

- Target version set to 5.1.6

The following patch fixes the issue.

I am setting the target version to 5.1.6.

diff --git a/Gemfile b/Gemfile

index 2f075c6c3..478084c20 100644

--- a/Gemfile

+++ b/Gemfile

@@ -67,11 +67,11 @@ if File.exist?(database_file)

   adapters = database_config.scan(/^ *adapter: *(.*)/).flatten.uniq

   if adapters.any?

     adapters.each do |adapter|

       case adapter.strip

-      when 'mysql2'

+      when /mysql2/

         gem 'mysql2', '~> 0.5.0'

         gem "with_advisory_lock" 

       when /postgresql/

         gem 'pg', '~> 1.5.3'

       when /sqlite3/

#5 - 2024-12-19 00:52 - Go MAEDA

- Related to Defect #41749: Warning during startup: "Unresolved or ambiguous specs during Gem::Specification.reset" added

#6 - 2024-12-19 01:54 - Katsuya HIDAKA

I tested the patch from #note-4 on Redmine using docker-library/redmine and confirmed it works as expected. The patch in #note-4 seems to resolve

the issue.

Specifically, I built the Docker image locally by modifying the Dockerfile in docker-library/redmine to target this branch and confirmed it works using 

the official compose.yml example.

#7 - 2024-12-19 02:09 - Go MAEDA

- Subject changed from Unknown database adapter `"mysql2"` found in config/database.yml to Redmine fails to start with error: Unknown database

adapter `"mysql2"` found in config/database.yml

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23408. Thank you for reporting this issue.

#8 - 2024-12-19 02:19 - Go MAEDA

- Status changed from Resolved to Reopened

Merged the fix into the stable branches in r23409 and r23410.

#9 - 2024-12-19 02:20 - Go MAEDA

- Status changed from Reopened to Closed

#10 - 2025-02-07 07:33 - ken takahashi

I thought this fix was not included in 5.1.6. Could you please confirm?

#11 - 2025-02-10 02:37 - Go MAEDA

- Related to Defect #42245: 5.1-stable: Redmine fails to start with error: Unknown database adapter `"mysql2"` found in config/database.yml added

#12 - 2025-02-10 02:39 - Go MAEDA
https://github.com/docker-library/redmine/issues/353#issuecomment-2551568917
https://github.com/hidakatsuya/redmine/compare/master...hidakatsuya:redmine:fix-docker-redmine-failure
https://hub.docker.com/_/redmine/#:~:text=Example%20docker%2Dcompose.yml%20for%20redmine
https://www.redmine.org/projects/redmine/repository/svn/revisions/23408
https://www.redmine.org/projects/redmine/repository/svn/revisions/23409
https://www.redmine.org/projects/redmine/repository/svn/revisions/23410


ken takahashi wrote in #note-10:

I thought this fix was not included in 5.1.6. Could you please confirm?

 Thank you for your report. I have opened issue #42245 to track this problem.
